/* 
 * File:   kPad4x3.h
 * Author: chengo_cc
 *
 * Created on 11 April 2016, 1:29 PM
 */

#ifndef KPAD4X3_H
//------------------------------------------------------------------------------
/*
  Upper Nibble(connected to Columns of Keypad) = OUTPUT,
 *Lower Nibble(Connected to Rows of Keypad) = INPUT*/
void keypad_init()
{
  KeypadPort_dir = 0x0F;
}
//------------------Scan with a 0 from RD4 through RD7--------------------------
char keypad_scan()
{
  char key = ' ';    //The Key pressed is used as an Index for the output.

  keypadPort = column0;
     if( row0 == 0 ) key = 0;
     if( row1 == 0 ) key = 1;
     if( row2 == 0 ) key = 2;
     if( row3 == 0 ) key = 3;

  keypadPort = column1;
     if( row0 == 0 ) key = 4;
     if( row1 == 0 ) key = 5;
     if( row2 == 0 ) key = 6;
     if( row3 == 0 ) key = 7;

  keypadPort = column2;
     if( row0 == 0 ) key = 8;
     if( row1 == 0 ) key = 9;
     if( row2 == 0 ) key = 10;
     if( row3 == 0 ) key = 11;

  return key;
}
//------------------------------------------------------------------------------
#define	KPAD4X3_H

#ifdef	__cplusplus
extern "C" {
#endif




#ifdef	__cplusplus
}
#endif

#endif	/* KPAD4X3_H */